Subject: [Softwires] Support of CEs behind third party CPEs - need for a Suffix parameter

From: Rémi Després <[email-masked]>
Date: Wed, 15 Feb 2012 18:07:20 +0100

Hi Ole,

1.
Your comments about the following feature-comparison item have been:
- "possible with MAP-{E,T} too, but may require coordination of subnet numbering."
- "I don't see the point of having text in the specification for this use case. it is a deployment option."

  +----+--------------------------------------+-----+-----+-----+-----+
  |    | Feature (based on CURRENT drafts)    | MAP | MAP | 4rd | 4rd |
  |    |                                      |  -T |  -E |  -H |  -E |
  +----+--------------------------------------+-----+-----+-----+-----+
...
  |    |                                      |     |     |     |     |
  |  3 | Possible support of CEs behind       |  N  |  N  |  Y  |  Y  |
  |    | third-party CPEs                     |     |     |     |     |

But, AFAIK, it is not possible to configure a MAP domain for CEs attached to third-party CPEs (ref. use case 5.2.2 of the 4rd-U draft).

2.
To deal with some similar use cases, we had an optional Suffix parameter of Mapping rules in draft draft-despres-intarea-4rd-01 (of which co-authors were R. Després, S. Matsushima, T. Murakami, ... and yourself).

Having not seen in the WG that the need had disappeared, nor that another way to satisfy the need had been discussed, I did include the Suffix parameter in 4rd-U.

3.
A somewhat detailed explanation about this need, received in the past and IMHO clarifying, was something like this:

"For the instance, in Japan, NTT provides the access line to the end-users and ISPs provides the internet service over this access line. Sometimes, NTT CPE is located in front of the ISP's 4rd CE. Sometimes, only the ISP's 4rd CE is located at home as shown below.

--<ipv6>-- NTT CPE ---- ISP CE ----

--<ipv6>-- ISP CE --

It depends on the end-users' contract. If the end-user is getting some services from NTT, the NTT CPE is located at home and the ISP CE is located behind the NTT CE. If the end-user is not getting such a service, only ISP CE is located at home.

In both cases, the IPv6 network infrastructure assigns an IPv6 prefix to the customer site. If present, the NTT CPE receives an IPv6 prefix and then delegates a longer IPv6 prefix to the ISP CE. For example, a /48 IPv6 prefix is assigned to the NTT CPE, and the NTT CPE delegates a /52 after adding a 4bit suffix to the ISP CE. But in other cases, if the ISP CE is directly connected to the IPv6 network infrastructure, the ISP CE can get an IPv6 prefix without any suffix.

So, in one 4rd domain, some ISP CEs get shorter IPv6 prefixes directly from the IPv6 network (say /48) and some other ISP CEs get longer IPv6 prefixes from NTT CPEs (say /52). This means that the delegated IPv6 prefix consists of the Domain IPv6 prefix followed by EA bits, if the ISP CE is directly connected to the IPv6 network, and that the delegated prefix consists of the Domain IPv6 prefix, followed by EA bits, and followed by the added suffix if the ISP CE is connected to another CE."

4.
Without a suffix parameter in mapping rules that applies to CEs behind a third-party CPEs, CPE added suffixes would be included in EA bits. They would therefore be present as lower parts of PSIDs of CE that have shared IPv4 addresses. 
I don't see how this could work. 

5.
Of course, the suffix parameter can be added to MAP if decided (no problem with that), but the feature comparison table remains based on existing drafts.

Hoping this clarifies this issue, I welcome questions and comments from anyone in the WG, in particular from the MAP design team.
Regards,
RD